filedumperx(1)

NAME
filedumperx - dump contents of planetsplitter intermediate data

SYNOPSIS
filedumperx
[--help] [--dir=dirname] [--prefix=name] [--dump [--nodes] [--ways] [--route-relations] [--turn-relations] ]

DESCRIPTION
filedumperx is a modified version of filedumper(1), that will dump out the contents of the intermediate data that is saved by planetsplitter(1), after processing using the \FC--keep\F[] or \FC--changes\F[] option. This is intended for test purposes only and gives no useful information about the routino routing database.

OPTIONS

\FC--help\F[]
    Prints usage information

\FC--dir\F[]=dirname
    Sets the directory name in which to read the local database. Defaults to the current directory.

\FC--prefix\F[]=name
    Sets the filename prefix for the files in the local database.

\FC--dump\F[]
    Dumps the complete set of data in the intermediate files that are written by planetsplitter(1), using the \FC--keep\F[] or \FC--changes\F[] options.

    \FC--nodes\F[]
        Dumps the node data.

    \FC--ways\F[]
        Dumps the way data.

    \FC--route-relations\F[]
        Dumps the route relation data.

    \FC--turn-relations\F[]
        Dumps the turn relation data.

SEE ALSO
filedumper(1), planetsplitter(1)